## org.apache.lucene.index
Class IndexFormatTooOldException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.lucene.index.CorruptIndexException
                      org.apache.lucene.index.IndexFormatTooOldException

All Implemented Interfaces:
  Serializable

    public class IndexFormatTooOldException

extends CorruptIndexException

This exception is thrown when Lucene detects an index that is too old for this Lucene version

See Also:
  Serialized Form

Constructor Summary
`IndexFormatTooOldException(DataInput in, int version, int minVersion, int maxVersion)`
`IndexFormatTooOldException(DataInput in, String version)`
`IndexFormatTooOldException(String resourceDesc, int version, int minVersion, int maxVersion)`
`IndexFormatTooOldException(String resourceDesc, String version)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexFormatTooOldException

    public IndexFormatTooOldException(String resourceDesc,
                                      String version)

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### IndexFormatTooOldException

    public IndexFormatTooOldException(DataInput in,
                                      String version)

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### IndexFormatTooOldException

    public IndexFormatTooOldException(String resourceDesc,
                                      int version,
                                      int minVersion,
                                      int maxVersion)

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### IndexFormatTooOldException

    public IndexFormatTooOldException(DataInput in,
                                      int version,
                                      int minVersion,
                                      int maxVersion)

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.